package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.BoundarySurface;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllBoundarySurfacesNode extends Renderable {
	
	private List<BoundarySurface> boundarySurfaces;
	
	public AllBoundarySurfacesNode(List<BoundarySurface> boundarySurfaces) {
		this.boundarySurfaces = boundarySurfaces;
	}
	
	@Override
	public String getText() {
		return "Boundary Surfaces";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.clearCurrentRender();
	}

	@Override
	public void refreshTextColor() {
		boolean isValidated = false;
		for (BoundarySurface bs : boundarySurfaces) {
			if (bs.isValidated()) {
				isValidated = true;
			}
			if (bs.containsAnyError()) {
				setStatus(CheckStatus.ERROR);
				return;
			}
		}
		if (isValidated) {
			setStatus(CheckStatus.OK);
		} else {
			setStatus(CheckStatus.NOT_CHECKED);
		}
	}

}
